Bug 951957 - Bacula fails to start under latest systemd due to "syslog.target" failure.
Summary: Bacula fails to start under latest systemd due to "syslog.target" failure.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-04-14 19:27 UTC by Jason Burgess
Modified: 2013-05-16 03:01 UTC (History)
10 users (show)

Fixed In Version: systemd-201-2.fc18.6
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 952334 (view as bug list)
Environment:
Last Closed: 2013-05-16 03:01:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 952334 None None None Never

Internal Links: 952334

Description Jason Burgess 2013-04-14 19:27:55 UTC
Description of problem:

The status from systemd:

bacula-dir.service - Bacula-Director, the Backup-server
   Loaded: loaded (/usr/lib/systemd/system/bacula-dir.service; enabled)
   Active: failed (Result: resources) since Sun 2013-04-14 16:20:11 ADT; 5min ago
     Docs: man:bacula-dir(8)
 Main PID: 1135 (code=exited, status=1/FAILURE)
   CGroup: name=systemd:/system/bacula-dir.service

Apr 14 16:20:11 jacknife2 systemd[1]: Unit bacula-dir.service entered failed state
Apr 14 16:20:11 jacknife2 systemd[1]: bacula-dir.service holdoff time over, scheduling restart.
Apr 14 16:20:11 jacknife2 systemd[1]: bacula-dir.service failed to schedule restart job: Unit syslog.targe...ails.
Apr 14 16:20:11 jacknife2 systemd[1]: Unit bacula-dir.service entered failed state


==============

The contents of the file:

[Unit]
Description=Bacula-Director, the Backup-server
Documentation=man:bacula-dir(8)
Requires=syslog.target network.target nss-lookup.target
After=network.target nss-lookup.target

[Service]
Environment=CONFIG=/etc/bacula/bacula-dir.conf
EnvironmentFile=-/etc/sysconfig/bacula-dir
ExecStartPre=/usr/sbin/bacula-checkconf $CONFIG
ExecStart=/usr/sbin/bacula-dir -f $OPTS -c $CONFIG -u $DIR_USER -g $DIR_GROUP
StandardOutput=syslog
Restart=always

[Install]
WantedBy=multi-user.target

================

Was working fine up to the 11th of April.

Version-Release number of selected component (if applicable):

systemd-libs-201-2.fc18.2.x86_64
systemd-201-2.fc18.2.x86_64
systemd-sysv-201-2.fc18.2.x86_64

How reproducible:

1. Every time.


Steps to Reproduce:
1. systemctl start bacula-dir; systemctl start bacula-fd; systemctl start bacula-sd
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Michal Schmidt 2013-04-15 16:32:54 UTC
(In reply to comment #0)
> Requires=syslog.target network.target nss-lookup.target

I'll re-add a dummy syslog.target unit file to F18 in order to unbreak bacula, but note that this Requires line is entirely wrong and should be fixed before F19.

The listed targets are not 'acting' targets that would cause something useful to start when activated. They are 'provides-like' targets. Only the services that provide the respective features should pull these targets in. Other units are supposed to take advantage of the targets by using ordering dependencies.

Additionally, syslog.target is obsolete even for ordering dependencies (but these would be harmless).

Comment 2 Fedora Update System 2013-04-15 17:22:19 UTC
systemd-201-2.fc18.4 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2013-5452/systemd-201-2.fc18.4

Comment 3 Jóhann B. Guðmundsson 2013-04-15 17:24:39 UTC
Should not this just have been fixed on bacula's side via update to unit file + that Restart line should not be there either

Comment 4 Michal Schmidt 2013-04-15 17:30:43 UTC
Of course bacula should be fixed (bug 952334 filed already). But I want as few surprises in F18 updates as possible, so I have added the workaround there.

Comment 5 Fedora Update System 2013-04-16 00:04:34 UTC
Package systemd-201-2.fc18.4:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-201-2.fc18.4'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5452/systemd-201-2.fc18.4
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-04-18 02:42:10 UTC
Package systemd-201-2.fc18.5:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-201-2.fc18.5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5452/systemd-201-2.fc18.5
then log in and leave karma (feedback).

Comment 7 Jason Burgess 2013-04-19 11:57:04 UTC
FC18 updated packages seem to be working now.

Comment 8 Fedora Update System 2013-05-07 13:44:12 UTC
systemd-201-2.fc18.6 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/FEDORA-2013-5452/systemd-201-2.fc18.6

Comment 9 Fedora Update System 2013-05-09 10:05:26 UTC
Package systemd-201-2.fc18.6:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-201-2.fc18.6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5452/systemd-201-2.fc18.6
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2013-05-16 03:01:24 UTC
systemd-201-2.fc18.6 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.